Before You Upgrade to WoltLab Suite 5.5

First of all for those of you who don't read the forum: Yes, I'm working on updates for Elevenfour's styles to make them compatible with WoltLab Suite 5.5 - that includes all styles but Makani. A few days ago I thought that everything was completed to release the new version when WoltLab Suite 5.5 comes out. But sadly WoltLab decided to introduce a new color variable to the style editor last minute. Which means that I have to rework every style again so we don't run into problems here.

Before You Begin: Backup Your System

This should be obvious and every person should know this by now, but if you're reading WoltLab's support forum from time to time you might get the feeling that you cannot mention this often enough. There are good reasons why a backup is part of the upgrade instructions.

The styles For 5.4 Are Incompatible With 5.5

That's at least true for Elevenfour's styles. There's a huge risk that fatal errors occur during the upgrade process. These might in a worst case scenario make your system unusable. That's why you should not manipulate the compatiblity information in the database.

Please make sure that you've updated to the latest version of the style before you upgrade to WoltLab Suite 5.5. If you didn't remove the style protection you should be safe to upgrade.

If You Removed The Style Protection

you will have some work to do. After you updated you should have to versions of the style. If you made some customizations to you style I'd recommend that you copy these to the new version of the style and then delete the old version completely.

You could also backup all the changes you made and the uninstall the style completely. After you've upgraded to WoltLab Suite 5.5 you could then install the new 5.5 version of the style and copy your customizations if still needed.

I would like to point out again that in most cases there's no reason to remove the style protection. If you think that you would have to remove the style protection please feel free to ask here in the support forum if there was an alternative way to achieve what you would like to do.